/**
 * Note: This file was auto-generated by TI PinMux on 4/12/2016 at 3:56:27 PM.
 *
 * \file  am43xx_gpevm_pinmux_data.c
 *
 * \brief  This file contains the pin mux configurations for the boards.
 *         These are prepared based on how the peripherals are extended on
 *         the boards.
 *
 * \copyright Copyright (CU) 2016 - 2018 Texas Instruments Incorporated -
 *             http://www.ti.com/
 */

/**
 *  Redistribution and use in source and binary forms, with or without
 *  modification, are permitted provided that the following conditions
 *  are met:
 *
 *    Redistributions of source code must retain the above copyright
 *    notice, this list of conditions and the following disclaimer.
 *
 *    Redistributions in binary form must reproduce the above copyright
 *    notice, this list of conditions and the following disclaimer in the
 *    documentation and/or other materials provided with the
 *    distribution.
 *
 *    Neither the name of Texas Instruments Incorporated nor the names of
 *    its contributors may be used to endorse or promote products derived
 *    from this software without specific prior written permission.
 *
 *  THIS SOFTWARE IS PROVIDED BY THE COPYRIGHT HOLDERS AND CONTRIBUTORS
 *  "AS IS" AND ANY EXPRESS OR IMPLIED WARRANTIES, INCLUDING, BUT NOT
 *  LIMITED TO, THE IMPLIED WARRANTIES OF MERCHANTABILITY AND FITNESS FOR
 *  A PARTICULAR PURPOSE ARE DISCLAIMED. IN NO EVENT SHALL THE COPYRIGHT
 *  OWNER OR CONTRIBUTORS BE LIABLE FOR ANY DIRECT, INDIRECT, INCIDENTAL,
 *  SPECIAL, EXEMPLARY, OR CONSEQUENTIAL DAMAGES (INCLUDING, BUT NOT
 *  LIMITED TO, PROCUREMENT OF SUBSTITUTE GOODS OR SERVICES; LOSS OF USE,
 *  DATA, OR PROFITS; OR BUSINESS INTERRUPTION) HOWEVER CAUSED AND ON ANY
 *  THEORY OF LIABILITY, WHETHER IN CONTRACT, STRICT LIABILITY, OR TORT
 *  (INCLUDING NEGLIGENCE OR OTHERWISE) ARISING IN ANY WAY OUT OF THE USE
 *  OF THIS SOFTWARE, EVEN IF ADVISED OF THE POSSIBILITY OF SUCH DAMAGE.
 *
 */

/* ========================================================================== */
/*                             Include Files                                  */
/* ========================================================================== */
#include "types.h"
#include "pinmux.h"
#include "am43xx_pinmux.h"

/** Peripheral Pin Configurations */

#ifndef BUILDCFG_MOD_GPIO
#define BUILDCFG_MOD_GPIO
#endif /* BUILDCFG_MOD_GPIO */

#ifndef BUILDCFG_MOD_MMCSD
#define BUILDCFG_MOD_MMCSD
#endif /* BUILDCFG_MOD_MMCSD */

#ifndef BUILDCFG_MOD_GPMC
#define BUILDCFG_MOD_GPMC
#endif /* BUILDCFG_MOD_GPMC */

#ifndef BUILDCFG_MOD_DCAN
#define BUILDCFG_MOD_DCAN
#endif /* BUILDCFG_MOD_DCAN */

#ifndef BUILDCFG_MOD_CPSW
#define BUILDCFG_MOD_CPSW
#endif /* BUILDCFG_MOD_CPSW */

#ifndef BUILDCFG_MOD_MCASP
#define BUILDCFG_MOD_MCASP
#endif /* BUILDCFG_MOD_MCASP */

#ifndef BUILDCFG_MOD_UART
#define BUILDCFG_MOD_UART
#endif /* BUILDCFG_MOD_UART */

#ifndef BUILDCFG_MOD_DSS
#define BUILDCFG_MOD_DSS
#endif /* BUILDCFG_MOD_DSS */

#ifndef BUILDCFG_MOD_PWMSS
#define BUILDCFG_MOD_PWMSS
#endif /* BUILDCFG_MOD_PWMSS */

#ifndef BUILDCFG_MOD_USB
#define BUILDCFG_MOD_USB
#endif /* BUILDCFG_MOD_USB */

#ifndef BUILDCFG_MOD_VPFE
#define BUILDCFG_MOD_VPFE
#endif /* BUILDCFG_MOD_VPFE */

#ifndef BUILDCFG_MOD_I2C
#define BUILDCFG_MOD_I2C
#endif /* BUILDCFG_MOD_I2C */


#if defined(BUILDCFG_MOD_GPIO)

static pinmuxPerCfg_t gGpio4PinCfg[] =
{
    {
        /* My GPIO 4 -> gpio4[2] -> AC18 */
        PIN_CAM0_FIELD, 2, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE | PIN_PULL_UD_DIS | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 4 -> gpio4[3] -> AD17 */
        PIN_CAM0_WEN, 3, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE | PIN_PULL_UD_DIS | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 4 -> gpio4[12] -> AC25 */
        PIN_CAM1_FIELD, 12, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gGpio3PinCfg[] =
{
    {
        /* My GPIO 3 -> gpio3[18] -> L23 */
        PIN_MCASP0_ACLKR, 18, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 3 -> gpio3[19] -> K23 */
        PIN_MCASP0_FSR, 19, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_DIS | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 3 -> gpio3[20] -> M25 */
        PIN_MCASP0_AXR1, 20, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_DIS | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 3 -> gpio3[21] -> L24 */
        PIN_MCASP0_AHCLKX, 21, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE | PIN_PULL_UD_DIS | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 3 -> gpio3[22] -> P22 */
        PIN_SPI2_D0, 22, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gGpio0PinCfg[] =
{
    {
        /* My GPIO 0 -> gpio0[2] -> P23 */
        PIN_SPI0_SCLK, 2, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 0 -> gpio0[7] -> G24 */
        PIN_ECAP0_IN_PWM0_OUT, 7, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 0 -> gpio0[22] -> N20 */
        PIN_SPI2_SCLK, 22, \
        ( \
            PIN_MODE(9) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 0 -> gpio0[23] -> T23 */
        PIN_SPI2_CS0, 23, \
        ( \
            PIN_MODE(9) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gGpio5PinCfg[] =
{
    {
        /* My GPIO 5 -> gpio5[8] -> D25 */
        PIN_GPIO5_8, 8, \
        ( \
            PIN_MODE(7) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 1 -> gpio5[10] -> G20 */
        PIN_GPIO5_10, 10, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 1 -> gpio5[11] -> F23 */
        PIN_GPIO5_11, 11, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 5 -> gpio5[8] -> N25 */
        PIN_SPI4_CS0, 7, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UD_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPIO 5 -> gpio5[31] -> B3 */
        PIN_GPMC_WPN, 31, \
        ( \
            PIN_MODE(9) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UD_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gGpioPinCfg[] =
{
    {4, TRUE, gGpio4PinCfg},
    {3, TRUE, gGpio3PinCfg},
    {0, TRUE, gGpio0PinCfg},
    {5, TRUE, gGpio5PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_GPIO) */

#if defined(BUILDCFG_MOD_MMCSD)

static pinmuxPerCfg_t gMmcsd0PinCfg[] =
{
    {
        /* My MMC 0 -> mmc0_clk -> D1 */
        PIN_MMC0_CLK, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 0 -> mmc0_cmd -> D2 */
        PIN_MMC0_CMD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 0 -> mmc0_dat0 -> C1 */
        PIN_MMC0_DAT0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 0 -> mmc0_dat1 -> C2 */
        PIN_MMC0_DAT1, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 0 -> mmc0_dat2 -> B2 */
        PIN_MMC0_DAT2, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 0 -> mmc0_dat3 -> B1 */
        PIN_MMC0_DAT3, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 0 -> mmc0_sdcd -> R25 */
        PIN_SPI0_CS1, 0, \
        ( \
            PIN_MODE(7) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gMmcsd1PinCfg[] =
{
    {
        /* My MMC 1 -> mmc1_clk -> B9 */
        PIN_GPMC_CSN1, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_DIS | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_cmd -> F10 */
        PIN_GPMC_CSN2, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat0 -> B5 */
        PIN_GPMC_AD0, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat1 -> A5 */
        PIN_GPMC_AD1, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat2 -> B6 */
        PIN_GPMC_AD2, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat3 -> A6 */
        PIN_GPMC_AD3, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat4 -> B7 */
        PIN_GPMC_AD4, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat5 -> A7 */
        PIN_GPMC_AD5, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat6 -> B8 */
        PIN_GPMC_AD6, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MMC 1 -> mmc1_dat7 -> A8 */
        PIN_GPMC_AD7, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gMmcsdPinCfg[] =
{
    {0, TRUE, gMmcsd0PinCfg},
    {1, TRUE, gMmcsd1PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_MMCSD) */

#if defined(BUILDCFG_MOD_GPMC)

static pinmuxPerCfg_t gGpmc0PinCfg[] =
{
    {
        /* My GPMC 0 -> gpmc_ad7 -> B8 */
        PIN_GPMC_AD7, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_ad6 -> C8 */
        PIN_GPMC_AD6, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_ad5 -> A7 */
        PIN_GPMC_AD5, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_ad4 -> B7 */
        PIN_GPMC_AD4, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_ad3 -> A6 */
        PIN_GPMC_AD3, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_ad2 -> B6 */
        PIN_GPMC_AD2, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_ad1 -> A5 */
        PIN_GPMC_AD1, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_ad0 -> B5 */
        PIN_GPMC_AD0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_wait0 -> A2 */
        PIN_GPMC_WAIT0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_wpn -> B3 */
        PIN_GPMC_WPN, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_csn0 -> A8 */
        PIN_GPMC_CSN0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_advn_ale -> A9 */
        PIN_GPMC_ADVN_ALE, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_oen_ren -> E10 */
        PIN_GPMC_OEN_REN, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_wen -> D10 */
        PIN_GPMC_WEN, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My GPMC 0 -> gpmc_be0n_cle -> C10 */
        PIN_GPMC_BE0N_CLE, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gGpmcPinCfg[] =
{
    {0, TRUE, gGpmc0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_GPMC) */

#if defined(BUILDCFG_MOD_DCAN)

static pinmuxPerCfg_t gDcan0PinCfg[] =
{
    {
        /* My DCAN 0 -> dcan0_rx -> L22 */
        PIN_UART1_RTSN, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DCAN 0 -> dcan0_tx -> K22 */
        PIN_UART1_CTSN, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gDcanPinCfg[] =
{
    {0, TRUE, gDcan0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_DCAN) */

#if defined(BUILDCFG_MOD_CPSW)

static pinmuxPerCfg_t gCpsw0PinCfg[] =
{
    {
        /* My MDIO 2 -> mdio_clk -> B17 */
        PIN_MDIO_CLK, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MDIO 2 -> mdio_data -> A17 */
        PIN_MDIO_DATA, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
       ) \
    },
    {
        /* My RGMII 3 -> rgmii1_tctl -> A13 */
        PIN_MII1_TX_EN, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_rctl -> A15 */
        PIN_MII1_RX_DV, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_tclk -> D14 */
        PIN_MII1_TX_CLK, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_rclk -> D13 */
        PIN_MII1_RX_CLK, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_td0 -> B15 */
        PIN_MII1_TXD0, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_td1 -> A14 */
        PIN_MII1_TXD1, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_td2 -> C13 */
        PIN_MII1_TXD2, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_td3 -> C16 */
        PIN_MII1_TXD3, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_rd0 -> F17 */
        PIN_MII1_RXD0, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_rd1 -> B16 */
        PIN_MII1_RXD1, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_rd2 -> E16 */
        PIN_MII1_RXD2, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My RGMII 3 -> rgmii1_rd3 -> C14 */
        PIN_MII1_RXD3, 0, \
        ( \
            PIN_MODE(2) | \
            ((PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))

        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gCpswPinCfg[] =
{
    {0, TRUE, gCpsw0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_CPSW) */

#if defined(BUILDCFG_MOD_MCASP)

static pinmuxPerCfg_t gMcasp0PinCfg[] =
{
    {
        /* My MCASP 0 -> mcasp0_ahclkx -> L24 */
        PIN_MCASP0_AHCLKX, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MCASP 0 -> mcasp0_ahclkr -> M24 */
        PIN_MCASP0_AHCLKR, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MCASP 0 -> mcasp0_aclkx -> N24 */
        PIN_MCASP0_ACLKX, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MCASP 0 -> mcasp0_fsx -> N22 */
        PIN_MCASP0_FSX, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MCASP 0 -> mcasp0_fsr -> K23 */
        PIN_MCASP0_FSR, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MCASP 0 -> mcasp0_axr0 -> H23 */
        PIN_MCASP0_AXR0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My MCASP 0 -> mcasp0_axr1 -> M25 */
        PIN_MCASP0_AXR1, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gMcasp1PinCfg[] =
{
    {
       /* MCASP1 -> mcasp1_aclkx -> B14 */
       PIN_MII1_CRS, 0, \
       ( \
           PIN_MODE(4) | \
           ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
           (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
       ) \
    },
    {
       /* MCASP1 -> mcasp1_fsx -> B13 */
       PIN_MII1_RX_ER, 0, \
       ( \
           PIN_MODE(4) | \
           ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
           (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
       ) \
    },
    {
       /* MCASP1 -> mcasp1_axr2 -> D16 */
       PIN_MII1_COL, 0, \
       ( \
           PIN_MODE(4) | \
           ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
           (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
       ) \
    },
    {
       /* MCASP1 -> mcasp1_axr3 -> A16 */
       PIN_RMII1_REF_CLK, 0, \
       ( \
           PIN_MODE(4) | \
           ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
           (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
       ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gMcaspPinCfg[] =
{
    {0, TRUE, gMcasp0PinCfg},
    {1, TRUE, gMcasp1PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_MCASP) */


#if defined(BUILDCFG_MOD_UART)

static pinmuxPerCfg_t gUart0PinCfg[] =
{
    {
        /* My UART 0 -> uart0_rxd -> K25 */
        PIN_UART0_RXD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My UART 0 -> uart0_txd -> J24 */
        PIN_UART0_TXD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My UART 0 -> uart0_ctsn -> L25 */
        PIN_UART0_CTSN, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My UART 0 -> uart0_rtsn -> J25 */
        PIN_UART0_RTSN, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gUartPinCfg[] =
{
    {0, TRUE, gUart0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_UART) */



#if defined(BUILDCFG_MOD_DSS)

static pinmuxPerCfg_t gDss0PinCfg[] =
{
    {
        /* My DSS 0 -> dss_vsync -> B23 */
        PIN_DSS_VSYNC, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_hsync -> A23 */
        PIN_DSS_HSYNC, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_pclk -> A22 */
        PIN_DSS_PCLK, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_ac_bias_en -> A24 */
        PIN_DSS_AC_BIAS_EN, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data0 -> B22 */
        PIN_DSS_DATA0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data1 -> A21 */
        PIN_DSS_DATA1, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data2 -> B21 */
        PIN_DSS_DATA2, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data3 -> C21 */
        PIN_DSS_DATA3, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data4 -> A20 */
        PIN_DSS_DATA4, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data5 -> B20 */
        PIN_DSS_DATA5, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data6 -> C20 */
        PIN_DSS_DATA6, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data7 -> E19 */
        PIN_DSS_DATA7, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data8 -> A19 */
        PIN_DSS_DATA8, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data9 -> B19 */
        PIN_DSS_DATA9, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data10 -> A18 */
        PIN_DSS_DATA10, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data11 -> B18 */
        PIN_DSS_DATA11, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data12 -> C19 */
        PIN_DSS_DATA12, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data13 -> D19 */
        PIN_DSS_DATA13, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data14 -> C17 */
        PIN_DSS_DATA14, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data15 -> D17 */
        PIN_DSS_DATA15, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data16 -> A11 */
        PIN_GPMC_AD15, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data17 -> B11 */
        PIN_GPMC_AD14, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data18 -> C11 */
        PIN_GPMC_AD13, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data19 -> E11 */
        PIN_GPMC_AD12, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data20 -> D11 */
        PIN_GPMC_AD11, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data21 -> F11 */
        PIN_GPMC_AD10, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data22 -> A10 */
        PIN_GPMC_AD9, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My DSS 0 -> dss_data23 -> B10 */
        PIN_GPMC_AD8, 0, \
        ( \
            PIN_MODE(1) | \
            ((PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_PULL_UD_DIS & ~PIN_PULL_UP_EN & ~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gDssPinCfg[] =
{
    {0, TRUE, gDss0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_DSS) */

#if defined(BUILDCFG_MOD_PWMSS)

static pinmuxPerCfg_t gPwmss0PinCfg[] =
{
    {
        /* My eHRPWM 0 -> ehrpwm0A -> P23 */
        PIN_SPI0_SCLK, (uint16_t)PINMUX_SS_PWMSS_EHRPWM0, \
        ( \
            PIN_MODE(3) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gPwmssPinCfg[] =
{
    {0, TRUE, gPwmss0PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_PWMSS) */

#if defined(BUILDCFG_MOD_USB)

static pinmuxPerCfg_t gUsb0PinCfg[] =
{
    {
        /* My USB 0 -> USB0_DRVVBUS -> G21 */
        PIN_USB0_DRVVBUS, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gUsb1PinCfg[] =
{
    {
        /* My USB 1 -> USB1_DRVVBUS -> F25 */
        PIN_USB1_DRVVBUS, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_RX_ACTIVE & ~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gUsbPinCfg[] =
{
    {0, TRUE, gUsb0PinCfg},
    {1, TRUE, gUsb1PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_USB) */




#if defined(BUILDCFG_MOD_VPFE)

static pinmuxPerCfg_t gVpfe0PinCfg[] =
{
    {
        /* My CAM 0 -> cam0_hd -> AE17 */
        PIN_CAM0_HD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_vd -> AD18 */
        PIN_CAM0_VD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_pclk -> AC20 */
        PIN_CAM0_PCLK, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data0 -> AE18 */
        PIN_CAM0_DATA0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data1 -> AB18 */
        PIN_CAM0_DATA1, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data2 -> Y18 */
        PIN_CAM0_DATA2, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data3 -> AA18 */
        PIN_CAM0_DATA3, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data4 -> AE19 */
        PIN_CAM0_DATA4, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data5 -> AD19 */
        PIN_CAM0_DATA5, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data6 -> AE20 */
        PIN_CAM0_DATA6, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data7 -> AD20 */
        PIN_CAM0_DATA7, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data8 -> AB19 */
        PIN_CAM0_DATA8, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 0 -> cam0_data9 -> AA19 */
        PIN_CAM0_DATA9, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gVpfe1PinCfg[] =
{
    {
        /* My CAM 1 -> cam1_hd -> AD25 */
        PIN_CAM1_HD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_vd -> AC23 */
        PIN_CAM1_VD, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_pclk -> AE21 */
        PIN_CAM1_PCLK, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data0 -> AB20 */
        PIN_CAM1_DATA0, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data1 -> AC21 */
        PIN_CAM1_DATA1, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data2 -> AD21 */
        PIN_CAM1_DATA2, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data3 -> AE22 */
        PIN_CAM1_DATA3, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data4 -> AD22 */
        PIN_CAM1_DATA4, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data5 -> AE23 */
        PIN_CAM1_DATA5, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data6 -> AD23 */
        PIN_CAM1_DATA6, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data7 -> AE24 */
        PIN_CAM1_DATA7, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data8 -> AD24 */
        PIN_CAM1_DATA8, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My CAM 1 -> cam1_data9 -> AC24 */
        PIN_CAM1_DATA9, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gVpfePinCfg[] =
{
    {0, TRUE, gVpfe0PinCfg},
    {1, TRUE, gVpfe1PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_VPFE) */

#if defined(BUILDCFG_MOD_I2C)

static pinmuxPerCfg_t gI2c0PinCfg[] =
{
    {
        /* My I2C 0 -> I2C0_SCL -> Y22 */
        PIN_I2C0_SCL, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {
        /* My I2C 0 -> I2C0_SDA -> AB24 */
        PIN_I2C0_SDA, 0, \
        ( \
            PIN_MODE(0) | \
            ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
            (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
        ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxPerCfg_t gI2c1PinCfg[] =
{
    {
       /* I2C1 -> I2C1_SCL -> T20 */
       PIN_SPI0_CS0, 0, \
       ( \
           PIN_MODE(2) | \
           ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
           (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
       ) \
    },
    {
       /* I2C1 -> I2C1_SDA -> T21 */
       PIN_SPI0_D1, 0, \
       ( \
           PIN_MODE(2) | \
           ((PIN_PULL_UD_DIS | PIN_PULL_UP_EN | PIN_RX_ACTIVE | PIN_DS_VALUE_OVERRIDE_EN | PIN_DS_OP_DIS | PIN_DS_PULL_UP_EN) & \
           (~PIN_DS_OP_VAL_1 & ~PIN_DS_PULL_UD_EN & ~PIN_WAKE_UP_EN))
       ) \
    },
    {PINMUX_INVALID_PIN}
};

static pinmuxModuleCfg_t gI2cPinCfg[] =
{
    {0, TRUE, gI2c0PinCfg},
    {1, TRUE, gI2c1PinCfg},
    {CHIPDB_INVALID_INSTANCE_NUM}
};

#endif /* if defined(BUILDCFG_MOD_I2C) */

/** EVM pin configurations for EVM */

pinmuxBoardCfg_t gGpevmPinmuxData[] =
{
#if defined(BUILDCFG_MOD_GPIO)
    {CHIPDB_MOD_ID_GPIO, gGpioPinCfg},
#endif /* if defined(BUILDCFG_MOD_GPIO) */
#if defined(BUILDCFG_MOD_MMCSD)
    {CHIPDB_MOD_ID_MMCSD, gMmcsdPinCfg},
#endif /* if defined(BUILDCFG_MOD_MMCSD) */
#if defined(BUILDCFG_MOD_GPMC)
    {CHIPDB_MOD_ID_GPMC, gGpmcPinCfg},
#endif /* if defined(BUILDCFG_MOD_GPMC) */
#if defined(BUILDCFG_MOD_DCAN)
    {CHIPDB_MOD_ID_DCAN, gDcanPinCfg},
#endif /* if defined(BUILDCFG_MOD_DCAN) */
#if defined(BUILDCFG_MOD_CPSW)
    {CHIPDB_MOD_ID_CPSW, gCpswPinCfg},
#endif /* if defined(BUILDCFG_MOD_CPSW) */
#if defined(BUILDCFG_MOD_MCASP)
    {CHIPDB_MOD_ID_MCASP, gMcaspPinCfg},
#endif /* if defined(BUILDCFG_MOD_MCASP) */
#if defined(BUILDCFG_MOD_UART)
    {CHIPDB_MOD_ID_UART, gUartPinCfg},
#endif /* if defined(BUILDCFG_MOD_UART) */
#if defined(BUILDCFG_MOD_DSS)
    {CHIPDB_MOD_ID_DSS, gDssPinCfg},
#endif /* if defined(BUILDCFG_MOD_DSS) */
#if defined(BUILDCFG_MOD_PWMSS)
    {CHIPDB_MOD_ID_PWMSS, gPwmssPinCfg},
#endif /* if defined(BUILDCFG_MOD_PWMSS) */
#if defined(BUILDCFG_MOD_USB)
    {CHIPDB_MOD_ID_USB, gUsbPinCfg},
#endif /* if defined(BUILDCFG_MOD_USB) */
#if defined(BUILDCFG_MOD_VPFE)
    {CHIPDB_MOD_ID_VPFE, gVpfePinCfg},
#endif /* if defined(BUILDCFG_MOD_VPFE) */
#if defined(BUILDCFG_MOD_I2C)
    {CHIPDB_MOD_ID_I2C, gI2cPinCfg},
#endif /* if defined(BUILDCFG_MOD_I2C) */
    {CHIPDB_MOD_ID_INVALID}
};
